Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# EntryScale Class Reference

List of all members.

## Public Member Functions
def | __init__
def | askForLabel
def | askForMax
def | askForMin
def | askForResolution
def | entry
def | get
def | label
def | onPress
def | onRelease
def | onReturn
def | onReturnRelease
def | scale
def | set
def | setMax
def | setMin
def | setResolution
## Public Attributes
| entry
| entryFormat
| entryValue
| fScaleCommand
| label
| labelFrame
| maxLabel
| minLabel
| minMaxFrame
| scale
| value

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

## Member Function Documentation

def askForLabel | ( |  | self,
|  |  | event = `None`
| ) |  |

def askForMax | ( |  | self,
|  |  | event = `None`
| ) |  |

def askForMin | ( |  | self,
|  |  | event = `None`
| ) |  |

def askForResolution | ( |  | self,
|  |  | event = `None`
| ) |  |

def entry | ( |  | self | ) |

def get | ( |  | self | ) |

def label | ( |  | self | ) |

def onPress | ( |  | self,
|  |  | args
| ) |  |

    User redefinable callback executed on button press

def onRelease | ( |  | self,
|  |  | args
| ) |  |

    User redefinable callback executed on button release

def onReturn | ( |  | self,
|  |  | args
| ) |  |

    User redefinable callback executed on <Return> in entry

def onReturnRelease | ( |  | self,
|  |  | args
| ) |  |

    User redefinable callback executed on <Return> release in entry

def scale | ( |  | self | ) |

def set | ( |  | self,
|  |  | newVal,
|  |  | fCommand = `1`
| ) |  |

def setMax | ( |  | self,
|  |  | newMax
| ) |  |

def setMin | ( |  | self,
|  |  | newMin
| ) |  |

def setResolution | ( |  | self,
|  |  | newResolution
| ) |  |

## Member Data Documentation

entry

entryFormat

entryValue

fScaleCommand

label

labelFrame

maxLabel

minLabel

minMaxFrame

scale

value

All Classes Namespaces Functions Variables Enumerations Enumerator Properties